<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title></title>
</head>
<body>
	<i>Science and Engineering Ethics (2001) 7, 231-238</i> 
	<hr/>
	<h1>Software Engineering Code of Ethics and Professional Practice</h1>
	</h2>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and professional practices</h2>

	<hr/>

	<p> <strong>
		Keywords:
	</strong> code of ethics, professional responsibility, software engineering</p>

	<h3>PREAMBLE</h3>
	<br>
		The short version of the code summarizes aspiration at a high level of abstraction. The clauses that are included in the full version gibe examples and details of how these aspirations change the way we act as software engineering professionals. Without the aspirations, the details can become legalistic and tedious; without the details, the aspirations can become high-sounding but empty; together, the aspirations and the details form cohesive code </br>

	<br>
		Software engineers shall commit themselves to making the analysis, specification, design, development, testing, and maintenance of software a beneficial and respected profession. in accordance with their commitment to the health, safety and welfare of the public, software engineers shall ashere to the following eight Principles: </br>

	<h4>PRINCIPLES</h4>
	<ol>
		<li><i>Public.</i> Software engineers shall act consistenly with the public interest.</li>
		<li><i>Client and Employer.</i>
		 Software engineers shall act in a manner that is in the best interests of their client and employer, consistent with public interest.</li>
		<li><i>Product.</i> Software engineers shall ensure that their products and related modifications meet the highest professional standards possible.</li>
		<li><i>Judgement.</i> Softwrare engineers shall maintain integrity and independence in their professional judgment.</li>
		<li><i>Management.</i> Software engineering managers and leaders shall subscribe to and promote an etichal approach to the management of software development and maintenance.</li>
		<li><i>Profession.</i> Software engineers shall advance the integrity and reputaion of the profession consistent with the public interest.</li>
		<li><i>Colleagues.</i> Software engineers shall be fair to and supportive of their colleagues.</li>
		<li><i>Self.</i> Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of the prefesion</li>

	</ol>	
</body>
</html>